Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.cldc.jna
Class PrivatePointer

    java.lang.Object
      com.sun.cldc.jna.PrivatePointer

    public class PrivatePointer

extends Object

Utilities used by JNA generated Java code. SHOULD NOT BE USED BY USER CODE.

Method Summary
`static Address` | `createArrayBuffer(Object array)` Create a native buffer pointing to either the array data directly, or to a copy of the array data.
`static Address` | `createArrayBuffer(Object array, int offset, int number)` Create a native buffer pointing to either the array data directly, or to a copy of the array data.
`static boolean` | `setUpArrayBufferState()` Get ready to allow creating array buffers.
`static void` | `tearDownArrayBufferState(boolean oldState)` Clean up after creating array buffers.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setUpArrayBufferState

    public static boolean setUpArrayBufferState()

  Get ready to allow creating array buffers.

  Returns:
    previous state

### tearDownArrayBufferState

    public static void tearDownArrayBufferState(boolean oldState)

  Clean up after creating array buffers.

  Parameters:
    `oldState` -

### createArrayBuffer

    public static Address createArrayBuffer(Object array)
                                     throws OutOfMemoryError

  Create a native buffer pointing to either the array data directly, or to a copy of the array data. bytes The returned point can be released when not needed.

  Parameters:
    `array` - the array to access
  Returns:
    Pointer the C-accessible version of the array data
  Throws:
    `OutOfMemoryError` - if the underlying memory cannot be allocated
    `IllegalArgumentException` - if array is not really an array

### createArrayBuffer

    public static Address createArrayBuffer(Object array,
                                            int offset,
                                            int number)
                                     throws OutOfMemoryError

  Create a native buffer pointing to either the array data directly, or to a copy of the array data. bytes The returned pointer can be released when not needed.

  Parameters:
    `array` - the array to access
    `offset` - index of the first element to access
    `number` - number of elements to access
  Returns:
    Pointer the C-accessible version of the array data
  Throws:
    `OutOfMemoryError` - if the underlying memory cannot be allocated
    `IllegalArgumentException` - if array is not really an array

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"